- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# AEffGUIEditor Class Reference

`#include <aeffguieditor.h>`

List of all members.

## Public Member Functions
| AEffGUIEditor (AudioEffect *effect)
| ~AEffGUIEditor ()
CFrame * | getFrame ()
virtual void | setParameter (VstInt32 index, float value)
virtual void | beginEdit (VstInt32 index)
virtual void | endEdit (VstInt32 index)
virtual void | doIdleStuff ()
void | wait (unsigned int ms)
unsigned int | getTicks ()
bool | getRect (ERect **rect)
void | idle ()
## Static Public Member Functions
static int | getVstGuiVersion ()
static VstInt32 | getKnobMode ()
## Protected Attributes
ERect | rect
unsigned int | lLastTicks
bool | inIdleStuff
CFrame * | frame
## Static Protected Attributes
static VstInt32 | knobMode = kCircularMode

## Constructor & Destructor Documentation

AEffGUIEditor::AEffGUIEditor | ( | AudioEffect * | effect | ) |

AEffGUIEditor::~AEffGUIEditor | ( |  | ) |

## Member Function Documentation

void AEffGUIEditor::beginEdit | ( | VstInt32 | index | ) | `[virtual]`

void AEffGUIEditor::doIdleStuff | ( |  | ) | `[virtual]`

void AEffGUIEditor::endEdit | ( | VstInt32 | index | ) | `[virtual]`

CFrame* AEffGUIEditor::getFrame | ( |  | ) | `[inline]`

static VstInt32 AEffGUIEditor::getKnobMode | ( |  | ) | `[inline, static]`

bool AEffGUIEditor::getRect | ( | ERect ** | rect | ) |

unsigned int AEffGUIEditor::getTicks | ( |  | ) |

static int AEffGUIEditor::getVstGuiVersion | ( |  | ) | `[inline, static]`

void AEffGUIEditor::idle | ( |  | ) |

void AEffGUIEditor::setParameter | ( | VstInt32 | index,
|  | float | value
| ) | `[virtual]`

void AEffGUIEditor::wait | ( | unsigned int | ms | ) |

## Member Data Documentation

CFrame* AEffGUIEditor::frame`[protected]`

bool AEffGUIEditor::inIdleStuff`[protected]`

VstInt32 AEffGUIEditor::knobMode = kCircularMode`[static, protected]`

unsigned int AEffGUIEditor::lLastTicks`[protected]`

ERect AEffGUIEditor::rect`[protected]`

The documentation for this class was generated from the following files:

- aeffguieditor.h
- aeffguieditor.cpp

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.